
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用Java实现一些常见的问题 / 憋错料</title>

    <meta name="description" content="用Java实现一些常见的问题 八皇后 1 public class EightQueen { 2 3 private static final int ROW = 4; 4 private static final int COL = 4; 5 6 private static int count = 0; // 八皇后的解的个数 7 8 private static boolean[][] maps = new boolean[ROW][COL]; // 初始化二维数组,模拟8*8棋盘,默认值是false表示没有皇后 9">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">用Java实现一些常见的问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>八皇后</h1>

<pre> 1 public class EightQueen {
 2
 3     private static final int ROW = 4;
 4     private static final int COL = 4;
 5
 6     private static int count = 0; // 八皇后的解的个数
 7
 8     private static boolean[][] maps = new boolean[ROW][COL]; // 初始化二维数组，模拟8*8棋盘,默认值是false表示没有皇后
 9
10     // 如何去放皇后？
11     /**
12      * 放置第row行的皇后
13      * @param row 从第0行开始放皇后
14      */
15     public static void putQueen(int row) {
16
17         // 递归的出口
18         if (row == ROW) { // row=8时，已经到了第9行，那么前面的8行就是OK的
19             printQueen();
20             return;
21         }
22
23         // 把皇后放到第row行的第j列
24         for (int j = 0; j &lt; COL; j++) {
25             // 如果可以放，就将皇后放在该点
26             if (isOK(row, j)) {
27                 maps[row][j] = true;
28                 putQueen(row + 1); // 该行放好之后放下一行【递归去放皇后】,算法已经跳转
29                 maps[row][j] = false; // 回溯,当放row+1行棋子不满足的时候，会回溯到第row行
30             }
31         }
32     }
33
34     // 如果要将皇后放在(x,y)点，则需要先判断该点是否可以放
35     public static boolean isOK(int x, int y) {
36
37         // 遍历二维数组，判断4个方向是否存在皇后
38         for (int i = 0; i &lt; ROW; i++) {
39             for (int j = 0; j &lt; COL; j++) {
40                 // 正斜边x-y定值，逆斜边x+y为定值
41                 if (i == x || j == y || i - j == x - y || i + j == x + y) {
42                     // 判断4个方向是否存在皇后
43                     if (maps[i][j]) { // 如果该点放了一个皇后，则返回false
44                         return false;
45                     }
46                 }
47             }
48         }
49
50         return true;
51     }
52
53     public static void printQueen() {
54
55         System.out.println("第" + (++count) + "个解");
56         System.out.println("*******************");
57         for (int i = 0; i &lt; ROW; i++) {
58             for (int j = 0; j &lt; COL; j++) {
59                 if (maps[i][j]) {
60                     System.out.print("Q ");
61                 } else {
62                     System.out.print("* ");
63                 }
64             }
65             System.out.println();
66         }
67     }
68
69     /**
70      * 穷举法求4皇后
71      */
72     private static void Queen(){
73
74         for(int i = 0;i &lt; 4;++i)
75             for(int j = 0;j &lt; 4;++j)
76                 for(int k = 0;k &lt; 4;++k)
77                     for(int m = 0; m &lt; 4;++m)
78                         if (!conflusion(i,j,k,m)){
79                             System.out.println("["+i+","+j+"," + k + "," + m +"]");
80                         }
81
82     }
83
84     private static boolean conflusion(int i, int j, int k, int m) {
85
86         return j == i || k == i || m == i || k == j || m == j || k == m
87                 || Math.abs(i - j) == 1 || Math.abs(i - k) == 2
88                 || Math.abs(i - m) == 3 || Math.abs(j - k) == 1
89                 || Math.abs(j - m) == 2 || Math.abs(k - m) == 1;
90     }
91
92     public static void main(String[] args) {
93
94         System.out.println("回溯法求解4皇后");
95         putQueen(0);    // 从第0行开始放皇后
96         System.out.println("穷举法求解4皇后");
97         Queen();
98     }
99 }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 17:03:10 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>用Java实现一些常见的问题的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3O71QP3.html" rel="bookmark">java中不常见的keyword：strictfp，transient</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.strictfp, 即 strict float point (精确浮点). strictfp keyword可应用于类.接口或方法.使用 strictfp keyword声明一个方法时,该方法中全部的float和double表达式都严格遵守FP-strict的限制,符合IEEE-754规范.当对一个类或接口使用 strictfp keyword时,该类中的全部代码,包含嵌套类型中的初始设定值和代码,都将严格地进行计算.严格约束意味着全部表达式的结果都必须是 IEEE 754 算法对操作数预			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x5VON3.html" rel="bookmark">Java 中最常见的 5 个错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在编程时,开发者经常会遭遇各式各样莫名错误.近日,Sushil Das在 Geek On Java上列举了 Java 开发中常见的 5 个错误,与君共「免」. 1.Null 的过度使用 避免过度使用 null 值是一个最佳实践.例如,更好的做法是让方法返回空的 array 或者 collection 而不是 null 值,因为这样可以防止程序抛出 NullPointerException.下面代码片段会从另一个方法获得一个集合: List&lt;String&gt; accountIds = person			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rbeZb3.html" rel="bookmark">用Java来写常见的排序算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着校招的临近 算法是校招中很重要的一个部分 总结了常见几种排序算法,各种算法的时间复杂度和空间复杂度大家也需要多了解下 package com.huwei.sort; /** * 各种排序算法 * * @author huwei * */ public class Sort { public static void main(String[] args) { int[] a = { 60, 57, 89, 47, 57, 98, 45, 35, 73 }; Sort sort = new So			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MENJwy0.html" rel="bookmark">【转】Java 枚举7常见种用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文网址:http://softbeta.iteye.com/blog/1185573 Java 枚举7常见种用法 博客分类: java java枚举enmu 原创地址:http://blog.lichengwu.cn/java/2011/09/26/the-usage-of-enum-in-java/ JDK1.5引入了新的类型——枚举.在 Java 中它虽然算个“小”功能,却给我的开发带来了“大”方便. 用法一:常量 在JDK1.5 之前,我们定义常量都是: public static fi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dYR9g3.html" rel="bookmark">day11&amp;lt&semi;Java开发工具&amp;amp&semi;常见对象&amp;gt&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java开发工具(常见开发工具介绍) Java开发工具(Eclipse中HelloWorld案例以及汉化) Java开发工具(Eclipse的视窗和视图概述) Java开发工具(Eclipse工作空间的基本配置) Java开发工具(Eclipse中内容辅助键的使用) Java开发工具(Eclipse中快捷键的使用) Java开发工具(Eclipse中如何提高开发效率) Java开发工具(Eclipse中一个标准学生类及其测试) Java开发工具(Eclipse中接口抽象类具体类代码体现) Jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a2yaq3.html" rel="bookmark">Java web中常见编码乱码问题（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据上篇记录Java web中常见编码乱码问题(一), 接着记录乱码案例: 案例分析:   2.输出流写入内容或者输入流读取内容时乱码(内容中有中文) 原因分析: a. 如果是按字节写入或读取时乱码,应该先检测系统编码是什么样的,看看是否支持中文编码的字符集. System.out.println(System.getProperty(&quot;file.encoding&quot;)); a1.如果是不支持中文的就要设置jvm编码了,设置方法: Windows环境就在catalina.bat配置: s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41ENNq4.html" rel="bookmark">Java开发中常见异常整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算术异常类:ArithmeticExecption 空指针异常类:NullPointerException 类型强制转换异常:ClassCastException 数组负下标异常:NegativeArrayException 数组下标越界异常:ArrayIndexOutOfBoundsException 违背安全原则异常:SecturityException 文件已结束异常:EOFException 文件未找到异常:FileNotFoundException 字符串转换为数字异常:NumberF			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xn6J74.html" rel="bookmark">Java学习之道：Java中十个常见的违规编码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近,我给Java项目做了一次代码清理工作.经过清理后,我发现一组常见的违规代码(指不规范的代码并不表示代码错误)重复出现在代码中.因此,我把常见的这些违规编码总结成一份列表,分享给大家以帮助Java爱好者提高代码的质量和可维护性. 这份列表没有依据任何规则或顺序,所有的这些都是通过代码质量工具包括CheckStyle,FindBugs和PMD检查出.一起来看下: 一.Eclipse编译器提供源代码格式输入 Eclipse提供自动源码格式选项,并且组织输入(删除未使用的代码).你可以使用下面的这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JbByV4.html" rel="bookmark">java基础知识回顾之java Thread类学习（三）--java线程实现常见的两种方式实现好处：</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				总结:实现Runnable接口比继承Thread类更有优势: 1.因为java只能单继承,实现Runnable接口可以避免单继承的局限性 2.继承Thread类,多个线程不能处理或者共享同一个资源,但是实现Runnable接口可以处理同一个资源. 下面我们做个测试:验证下.车站的售票系统售票的例子,车站的各个售票口相当于各个线程,我们先使用第一种方法几继承Thread类的方式实现: 代码如下: package com.lp.ecjtu.Thread; /** * * @author Admini			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vp1y9M.html" rel="bookmark">java编程之常见的排序算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java常见的排序算法 第一种:插入排序 直接插入排序 1, 直接插入排序 (1)基本思想:在要排序的一组数中,假设前面(n-1)[n&gt;=2] 个数已经是排 好顺序的,现在要把第n个数插到前面的有序数中,使得这n个数 也是排好顺序的.如此反复循环,直到全部排好顺序. (2)图示   1 public static void main(String[] args) { 2 //升序排序 3 int[] a={9,7,8,6,5,4,3,2,1}; 4 int temp=0; 5 for(int i			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qww9M.html" rel="bookmark" class="title">iOS-打包成ipa的4种方法</a>
					<div>
						打包ipa的前提 1.证书的申请和设置和上面文章的一样 从第一步到第四步都是一样的http://www.cnblogs.com/sunfuyou/p/5900592.html2.还有第六步的 1-3都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wrq5V0.html" rel="bookmark" class="title">NOIP2002-普及组复赛-第二题-级数求和</a>
					<div>
						题目描述 Description 已知:Sn= 1+1/2+1/3+…+1/n.显然对于任意一个整数K,当n足够大的时候,Sn大于K. 现给出一个整数K(1&lt;=k&lt;=15),要求计算出一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qQo693.html" rel="bookmark" class="title">用svg实现扁平化图标中的阴影&lpar;inkscape&rpar;</a>
					<div>
						现在很多APP的图标都是扁平化风格,就像这样: 我试过用inkscape来画这样的图标,虽然可以利用inskcape提供的各种交并集操作实现类似的阴影效果,但是放大后总会看到某些边缘处没有完美对齐.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjDZp0.html" rel="bookmark" class="title">取模软件的使用</a>
					<div>
						设置的格式如下: 然后,通过C2mif转化成mif文件. 程序的实现上,通过该点所对应的点是否为高电平,来设置背景色和前景色,实现显示.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDqej3.html" rel="bookmark" class="title">54一个大文件夹下所有文件的读取和检索！支持英文</a>
					<div>
						package lld; import org.apache.poi.hssf.usermodel.HSSFCell; import org.apache.poi.hssf.usermodel.HSS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5xQE3.html" rel="bookmark" class="title">纯净的 Unity Touch JoyStick</a>
					<div>
						最近在研究Unity3D,把研究过程中遇到的问题记录下来作为备份,以后再用到相关知识的时候能够借鉴.最近有一个构思,想做一款小型的练手游戏,边做边学Unity3D.因为是3D游戏,由Joystick控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5Prv0.html" rel="bookmark" class="title">《高质量C&plus;&plus;&sol;C编程指南》</a>
					<div>
						基本功: 编程风格 出错处理 算法复杂度分析 头文件的作用: 通过头文件来调用库功能.在很多场合,源代码不便向用户公布,只要向用户提供头文件和二进制的库即可.头文件相当于向外提供接口. 加强类型检查. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZrepL3.html" rel="bookmark" class="title">&lbrack;leetcode&rsqb;Search for a Range &commat; Python</a>
					<div>
						原题地址:https://oj.leetcode.com/problems/search-for-a-range/ 题意: Given a sorted array of integers, find ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVVKAxM.html" rel="bookmark" class="title">Java正则表达式的语法与示例</a>
					<div>
						概要: | |目录 1匹配验证-验证Email是否正确 2在字符串中查询字符或者字符串 3常用正则表达式 4正则表达式语法 1匹配验证-验证Email是否正确 Java | 复制 1 2 3 4 5  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jnGwE0.html" rel="bookmark" class="title">css3进度条</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vQdXk0.html" rel="bookmark" class="title">生产者消费者 ProducerConsumer</a>
					<div>
						生产者消费者是常见的同步问题.一个队列,头部生产数据,尾部消费数据,队列的长度为固定值.当生产的速度大于消费的速度时,队列逐渐会填满,这时就会阻塞住.当尾部消费了数据之后,生产者就可以继续生产了. 生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jeNRZM.html" rel="bookmark" class="title">Maven入门教程二----Maven依赖</a>
					<div>
						依赖包查询 通过坐标存储,GAV-groupId,artifacld,version有些网上的仓库自带了,nexus,http://mvnrepository.com传递性依赖依赖范围:依赖的传递性: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bpJDY4.html" rel="bookmark" class="title">MyBatis的几种批量操作</a>
					<div>
						MyBatis中批量插入 方法一: &lt;insert id=&quot;insertbatch&quot; parameterType=&quot;java.util.List&quot;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmYkBYM.html" rel="bookmark" class="title">python 之变量</a>
					<div>
						什么是变量? 变量就是存储一个不固定的值,可以随时更改其值. 1.变量不仅可以是数字,还可以是任意数据类型 2.变量名必须是大小写英文.数字和_的组合,且不能用数字开头 python变量如何存储 首先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9XjL4.html" rel="bookmark" class="title">NHibernate之旅&lpar;17&rpar;：探索NHibernate中使用存储过程&lpar;下&rpar;</a>
					<div>
						本节内容 引入 实例分析 拾遗 结语 引入 上两篇,介绍使用MyGeneration提供的模板创建存储过程和删除对象.创建对象.更新对象整个详细过程,这篇介绍如何利用&lt;sql-query&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kN8aLM.html" rel="bookmark" class="title">Mealy vs&period; Moore Styles</a>
					<div>
						在ISE的例程中看到了下列对Mealy  Moore状态机的表述. the general recommendation for the -- choice of state-machine depe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGpraM.html" rel="bookmark" class="title">矿Spring入门Demo</a>
					<div>
						第一步:输入Spring jar 包裹 Spring核心包(4个) 日志包(2个) jdbc模板支持(1个) spring-jdbc-3.2.0.RELEASE.jar 模板相关事务处理包(1个) s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J979l3.html" rel="bookmark" class="title">目前市场最实用app付费推广渠道有哪些？</a>
					<div>
						目前市场最实用app付费推广渠道有哪些? 找到一个好的App推广渠道能让App运营与推广达到事半功倍的效果,很多人在第一时间推广时都会想到免费的推广渠道,但是往往做很久都没有看到效果,然后想到了App ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wPl23.html" rel="bookmark" class="title">【BZOJ 2659】 &lbrack;Beijing wc2012&rsqb;算不出的算式</a>
					<div>
						2659: [Beijing wc2012]算不出的算式 Time Limit: 3 Sec  Memory Limit: 128 MB Submit: 786  Solved: 444 [Submi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0neZoKM.html" rel="bookmark" class="title">1&period; Spring boot 之热部署</a>
					<div>
						1. spring boot 热部署 1.1. springloaded springloaded可以实现修改类文件的热部署.下载地址:springloaded 安装单击Run Configurati ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
